skipFreeList(3)

NAME
skipFreeList - free a skip list.

SYNOPSIS
#include <util/skiplist.h> void skipFreeList(skipList list);

ARGUMENTS
list - list to free.

DESCRIPTION
Release all resources used by <list> including all key/value pairs. MT-Level: Safe for unique <list>.

RETURN VALUE
None.

SEE ALSO
skipDelete(3), skipFreeList(3), skipRelease(3), skipInsert(3), skipSearch(3), skipNext(3), skipNewList